Bug 8542 - Что это было?
: Что это было?
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/libgtk+2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-23 02:09 by
Modified: 2006-05-28 13:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-23 02:09:24
Следует ли это считать ошибкой?
Если нет, то возможно следует подавлять вывод сообщений?
apt-get dist-upgrade
[skip]
50: libgtk+2                
########################################################################################
[ 74%]
g_module_open() failed for /usr/lib/gtk-2.0/2.4.0/loaders/svg_loader.so:
libgsf-1.so.1: cannot open shared object file: No such file or directory
------- Comment #1 From 2005-11-29 10:05:31 -------
Для протокола:
libgsf-1.13.3-alt1
librsvg-2.12.5-alt1.1
------- Comment #2 From 2005-11-29 11:21:55 -------
Аналогично; libgsf-1.13.3-alt1, librsvg не установлен
------- Comment #3 From 2005-11-30 00:46:49 -------
Э, что за чудеса, откуда у вас взялся svg_loader.so без пакета librsvg?

% rpm -qf `locate svg_loader.so`
librsvg2-2.12.5-alt1.1
------- Comment #4 From 2005-12-03 11:02:31 -------
Миш, ау, откуда у тебя svg_loader.so?
------- Comment #5 From 2005-12-04 23:15:12 -------
Видимо, дело в порядке обновления пакетов - у меня аналогичное сообщение
возникло при следующем порядке обновления:

 328: libgsf                 ########################################### [ 29%]
 740: libgtk+2               ########################################### [ 66%]
g_module_open() failed for /usr/lib/gtk-2.0/2.4.0/loaders/svg_loader.so:
libgsf-
1.so.1: cannot open shared object file: No such file or directory
 794: librsvg2               ########################################### [ 71%]
------- Comment #6 From 2005-12-30 16:42:53 -------
Не знаю, при обновлении 3.0 до Sisyphus-вчерашний тоже вылезло.

PS: сорри, письмо с вопросом явно пропустил...
------- Comment #7 From 2006-01-10 01:15:15 -------
Этот баг кого-то ещё интересует?
------- Comment #8 From 2006-01-10 10:37:11 -------
Думаю, что нет. Баг закрыт.
------- Comment #9 From 2006-05-28 13:22:56 -------
libgtk+2                     
#################################################################################
g_module_open() failed for /usr/lib/gtk-2.0/2.4.0/loaders/svg_loader.so: libgsf-
1.so.113: cannot open shared object file: No such file or directory


GTK2 обновлялся с 2.8.16 до 2.8.17, libgsf - с 1.13.3-alt1.1 до 1.14.0-alt1; 
первым в транзакции обновлялся GTK.
------- Comment #10 From 2006-05-28 13:23:44 -------
(In reply to comment #9)
> первым в транзакции обновлялся GTK.

Вру, наоборот.